From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-gfx/blender/
Date: Thu, 27 Oct 2016 18:34:28 +0000 (UTC) [thread overview]
Message-ID: <1477593260.d4f53d5c48abbc743e211b7764d94db53e7e242d.soap@gentoo> (raw)
commit: d4f53d5c48abbc743e211b7764d94db53e7e242d
Author: Jonathan Scruggs <j.scruggs <AT> gmail <DOT> com>
AuthorDate: Thu Oct 27 15:41:11 2016 +0000
Commit: David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Thu Oct 27 18:34:20 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d4f53d5c
media-gfx/blender: version bump to 2.78a
- C++11 compiler fix patch no longer needed
- Upstream only supports CUDA 8 with this release
Signed off by: Jonathan Scruggs (j.scruggs <AT> gmail.com, irc: Dracwyrm)
Signed off by: Adrian Grigo (agrigo2001 <AT> yahoo.com.au)
Closes: https://github.com/gentoo/gentoo/pull/2669
Signed-off-by: David Seifert <soap <AT> gentoo.org>
media-gfx/blender/Manifest | 1 +
media-gfx/blender/blender-2.78a.ebuild | 297 +++++++++++++++++++++++++++++++++
2 files changed, 298 insertions(+)
diff --git a/media-gfx/blender/Manifest b/media-gfx/blender/Manifest
index 666ec08..81e888a 100644
--- a/media-gfx/blender/Manifest
+++ b/media-gfx/blender/Manifest
@@ -1,2 +1,3 @@
DIST blender-2.72b.tar.gz 52018242 SHA256 4436c704afa28e2e5e7b28b2c06981806ddedab70565d40972e422c00644bf47 SHA512 9767797621e443ff9b6810d1713dda110f883c33626d40d7fe5dda676f549e3591516dc24b75feebd85823dd13437c34521ca752139cd31ddacf31ea6b14e124 WHIRLPOOL 3687255bc9f4195b25b66a75630676ee15e67cf10a058dca11b3472617b54aae2bebb1810cc16e19c58ca1c09b1ea8b70f72e30c05632ab0bae8910925a37a54
DIST blender-2.78.tar.gz 44489809 SHA256 17863e1ccb3bfdcc932d37cf9e525318130064c756cfb92a9ab479780d3ed441 SHA512 9144ce28377271dafe973b59721da41b6e3954736c705e1540be8dba3124e4c32e5cce5fb3ef7158505d45401478d257720350b38fa8e8649cc35cbd28a2f978 WHIRLPOOL a1a70cb723a111d1ae5a33b274a0e23bbd9c1b0777f96c917da1b4854171a88b6abe64c0636613008de68e68200a1d387e940ee592ff87c225745c668508d896
+DIST blender-2.78a.tar.gz 44188123 SHA256 014a14b1ba00c0e651f106469b2e5dd444f11be5a7af48056f0ed59de90cceaf SHA512 57239b6ce473aaef114453f97a6e88535ec0a2f50cfecd221fa6bdcca6fe6559dcbefd48c3f20dc2235c195de13c59a1a155d5b64d777be31812d32e68be9370 WHIRLPOOL 85ea5ea5594716433a5f2f14233a489841598baf80170f01fff3946b4fa6ebc99086396a232f0f3c5f0e8c8d6c16ec27e98b7b58d79d289f5190214dc7efb677
diff --git a/media-gfx/blender/blender-2.78a.ebuild b/media-gfx/blender/blender-2.78a.ebuild
new file mode 100644
index 00000000..b97613f
--- /dev/null
+++ b/media-gfx/blender/blender-2.78a.ebuild
@@ -0,0 +1,297 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python3_5 )
+
+inherit check-reqs cmake-utils fdo-mime flag-o-matic gnome2-utils \
+ pax-utils python-single-r1 toolchain-funcs versionator
+
+DESCRIPTION="3D Creation/Animation/Publishing System"
+HOMEPAGE="http://www.blender.org"
+
+SRC_URI="http://download.blender.org/source/${P}.tar.gz"
+
+# Blender can have letters in the version string,
+# so strip of the letter if it exists.
+MY_PV="$(get_version_component_range 1-2)"
+
+SLOT="0"
+LICENSE="|| ( GPL-2 BL )"
+KEYWORDS="~amd64 ~x86"
+IUSE="+boost +bullet +dds +elbeem +game-engine +openexr collada colorio \
+ cuda cycles debug doc ffmpeg fftw headless jack jemalloc jpeg2k libav \
+ llvm man ndof nls openal opencl openimageio openmp opensubdiv openvdb \
+ openvdb-compression player sdl sndfile test tiff valgrind"
+
+# OpenCL and nVidia performance is rubbish with Blender
+# If you have nVidia, use CUDA.
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+ player? ( game-engine !headless )
+ cuda? ( cycles !opencl )
+ cycles? ( boost openexr tiff openimageio )
+ colorio? ( boost )
+ openvdb? ( boost )
+ opensubdiv? ( cuda )
+ nls? ( boost )
+ openal? ( boost )
+ opencl? ( cycles )
+ game-engine? ( boost )
+ ?? ( ffmpeg libav )"
+
+# Since not using OpenCL with nVidia, depend on ATI binary
+# blobs as Cycles with OpenCL does not work with any open
+# source drivers.
+RDEPEND="${PYTHON_DEPS}
+ dev-libs/lzo:2
+ >=dev-python/numpy-1.10.1[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ media-libs/freetype
+ media-libs/glew:*
+ media-libs/libpng:0=
+ media-libs/libsamplerate
+ sys-libs/zlib
+ virtual/glu
+ virtual/jpeg:0=
+ virtual/libintl
+ virtual/opengl
+ boost? ( >=dev-libs/boost-1.62:=[nls?,threads(+)] )
+ collada? ( >=media-libs/opencollada-1.6.18:= )
+ colorio? ( >=media-libs/opencolorio-1.0.9-r2 )
+ cuda? ( =dev-util/nvidia-cuda-toolkit-8.0*:= )
+ ffmpeg? ( media-video/ffmpeg:=[x264,mp3,encode,theora,jpeg2k?] )
+ libav? ( >=media-video/libav-11.3:=[x264,mp3,encode,theora,jpeg2k?] )
+ fftw? ( sci-libs/fftw:3.0= )
+ !headless? (
+ x11-libs/libX11
+ x11-libs/libXi
+ x11-libs/libXxf86vm
+ )
+ jack? ( media-sound/jack-audio-connection-kit )
+ jemalloc? ( dev-libs/jemalloc:= )
+ jpeg2k? ( media-libs/openjpeg:0 )
+ llvm? ( sys-devel/llvm )
+ ndof? (
+ app-misc/spacenavd
+ dev-libs/libspnav
+ )
+ nls? ( virtual/libiconv )
+ openal? ( media-libs/openal )
+ openimageio? ( >=media-libs/openimageio-1.6.9 )
+ opencl? ( x11-drivers/ati-drivers:* )
+ openexr? (
+ >=media-libs/ilmbase-2.2.0:=
+ >=media-libs/openexr-2.2.0:=
+ )
+ opensubdiv? ( media-libs/opensubdiv[cuda=,opencl=] )
+ openvdb? (
+ media-gfx/openvdb[${PYTHON_USEDEP},openvdb-compression=]
+ dev-cpp/tbb
+ )
+ openvdb-compression? ( >=dev-libs/c-blosc-1.5.2 )
+ sdl? ( media-libs/libsdl2[sound,joystick] )
+ sndfile? ( media-libs/libsndfile )
+ tiff? ( media-libs/tiff:0 )
+ valgrind? ( dev-util/valgrind )"
+
+DEPEND="${RDEPEND}
+ >=dev-cpp/eigen-3.2.8:3
+ nls? ( sys-devel/gettext )
+ doc? (
+ app-doc/doxygen[-nodot(-),dot(+),latex]
+ dev-python/sphinx[latex]
+ )"
+
+PATCHES=( "${FILESDIR}"/${PN}-fix-install-rules.patch )
+
+blender_check_requirements() {
+ [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+
+ if use doc; then
+ CHECKREQS_DISK_BUILD="4G" check-reqs_pkg_pretend
+ fi
+}
+
+pkg_pretend() {
+ blender_check_requirements
+}
+
+pkg_setup() {
+ blender_check_requirements
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ # we don't want static glew, but it's scattered across
+ # multiple files that differ from version to version
+ # !!!CHECK THIS SED ON EVERY VERSION BUMP!!!
+ local file
+ while IFS="" read -d $'\0' -r file ; do
+ sed -i -e '/-DGLEW_STATIC/d' "${file}" || die
+ done < <(find . -type f -name "CMakeLists.txt")
+
+ # Disable MS Windows help generation. The variable doesn't do what it
+ # it sounds like.
+ sed -e "s|GENERATE_HTMLHELP = YES|GENERATE_HTMLHELP = NO|" \
+ -i doc/doxygen/Doxyfile || die
+}
+
+src_configure() {
+ # FIX: forcing '-funsigned-char' fixes an anti-aliasing issue with menu
+ # shadows, see bug #276338 for reference
+ append-flags -funsigned-char
+ append-lfs-flags
+
+ local mycmakeargs=(
+ -DPYTHON_VERSION="${EPYTHON/python/}"
+ -DPYTHON_LIBRARY="$(python_get_library_path)"
+ -DPYTHON_INCLUDE_DIR="$(python_get_includedir)"
+ -DWITH_INSTALL_PORTABLE=OFF
+ -DWITH_PYTHON_INSTALL=OFF
+ -DWITH_PYTHON_INSTALL_NUMPY=OFF
+ -DWITH_STATIC_LIBS=OFF
+ -DWITH_SYSTEM_GLEW=ON
+ -DWITH_SYSTEM_OPENJPEG=ON
+ -DWITH_SYSTEM_EIGEN3=ON
+ -DWITH_SYSTEM_LZO=ON
+ -DWITH_C11=ON
+ -DWITH_CXX11=ON
+ -DWITH_BOOST=$(usex boost)
+ -DWITH_BULLET=$(usex bullet)
+ -DWITH_CODEC_FFMPEG=$(usex ffmpeg)
+ -DWITH_CODEC_SNDFILE=$(usex sndfile)
+ -DWITH_CUDA=$(usex cuda)
+ -DWITH_CYCLES_DEVICE_CUDA=$(usex cuda TRUE FALSE)
+ -DWITH_CYCLES=$(usex cycles)
+ -DWITH_CYCLES_OSL=OFF
+ -DWITH_LLVM=$(usex llvm)
+ -DWITH_FFTW3=$(usex fftw)
+ -DWITH_GAMEENGINE=$(usex game-engine)
+ -DWITH_HEADLESS=$(usex headless)
+ -DWITH_X11=$(usex !headless)
+ -DWITH_IMAGE_DDS=$(usex dds)
+ -DWITH_IMAGE_OPENEXR=$(usex openexr)
+ -DWITH_IMAGE_OPENJPEG=$(usex jpeg2k)
+ -DWITH_IMAGE_TIFF=$(usex tiff)
+ -DWITH_INPUT_NDOF=$(usex ndof)
+ -DWITH_INTERNATIONAL=$(usex nls)
+ -DWITH_JACK=$(usex jack)
+ -DWITH_MOD_FLUID=$(usex elbeem)
+ -DWITH_MOD_OCEANSIM=$(usex fftw)
+ -DWITH_OPENAL=$(usex openal)
+ -DWITH_OPENCL=$(usex opencl)
+ -DWITH_CYCLES_DEVICE_OPENCL=$(usex opencl TRUE FALSE)
+ -DWITH_OPENCOLORIO=$(usex colorio)
+ -DWITH_OPENCOLLADA=$(usex collada)
+ -DWITH_OPENIMAGEIO=$(usex openimageio)
+ -DWITH_OPENMP=$(usex openmp)
+ -DWITH_OPENSUBDIV=$(usex opensubdiv)
+ -DWITH_OPENVDB=$(usex openvdb)
+ -DWITH_OPENVDB_BLOSC=$(usex openvdb-compression)
+ -DWITH_PLAYER=$(usex player)
+ -DWITH_SDL=$(usex sdl)
+ -DWITH_CXX_GUARDEDALLOC=$(usex debug)
+ -DWITH_ASSERT_ABORT=$(usex debug)
+ -DWITH_GTESTS=$(usex test)
+ -DWITH_DOC_MANPAGE=$(usex man)
+ -DWITH_MEM_JEMALLOC=$(usex jemalloc)
+ -DWITH_MEM_VALGRIND=$(usex valgrind)
+ )
+ cmake-utils_src_configure
+}
+
+src_compile() {
+ cmake-utils_src_compile
+
+ if use doc; then
+ # Workaround for binary drivers.
+ local card
+ local cards=( /dev/ati/card* /dev/nvidia* )
+ for card in "${cards[@]}"; do addpredict "${card}"; done
+
+ einfo "Generating Blender C/C++ API docs ..."
+ cd "${CMAKE_USE_DIR}"/doc/doxygen || die
+ doxygen -u Doxyfile || die
+ doxygen || die "doxygen failed to build API docs."
+
+ cd "${CMAKE_USE_DIR}" || die
+ einfo "Generating (BPY) Blender Python API docs ..."
+ "${BUILD_DIR}"/bin/blender --background --python doc/python_api/sphinx_doc_gen.py -noaudio || die "sphinx failed."
+
+ cd "${CMAKE_USE_DIR}"/doc/python_api || die
+ sphinx-build sphinx-in BPY_API || die "sphinx failed."
+ fi
+}
+
+src_test() {
+ if use test; then
+ einfo "Running Blender Unit Tests ..."
+ cd "${BUILD_DIR}"/bin/tests || die
+ local f
+ for f in *_test; do
+ ./"${f}" || die
+ done
+ fi
+}
+
+src_install() {
+ # Pax mark blender for hardened support.
+ pax-mark m "${CMAKE_BUILD_DIR}"/bin/blender
+
+ if use doc; then
+ docinto "html/API/python"
+ dodoc -r "${CMAKE_USE_DIR}"/doc/python_api/BPY_API/.
+
+ docinto "html/API/blender"
+ dodoc -r "${CMAKE_USE_DIR}"/doc/doxygen/html/.
+ fi
+
+ emake -C "${CMAKE_BUILD_DIR}" DESTDIR="${D}" install/fast
+
+ # fix doc installdir
+ docinto "html"
+ dodoc "${CMAKE_USE_DIR}"/release/text/readme.html
+ rm -r "${ED%/}"/usr/share/doc/blender || die
+
+ python_fix_shebang "${ED%/}/usr/bin/blender-thumbnailer.py"
+ python_optimize "${ED%/}/usr/share/blender/${MY_PV}/scripts"
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ elog
+ elog "Blender uses python integration. As such, may have some"
+ elog "inherit risks with running unknown python scripts."
+ elog
+ elog "It is recommended to change your blender temp directory"
+ elog "from /tmp to /home/user/tmp or another tmp file under your"
+ elog "home directory. This can be done by starting blender, then"
+ elog "dragging the main menu down do display all paths."
+ elog
+ ewarn
+ ewarn "This ebuild does not unbundle the massive amount of 3rd party"
+ ewarn "libraries which are shipped with blender. Note that"
+ ewarn "these have caused security issues in the past."
+ ewarn "If you are concerned about security, file a bug upstream:"
+ ewarn " https://developer.blender.org/"
+ ewarn
+ gnome2_icon_cache_update
+ fdo-mime_desktop_database_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ fdo-mime_desktop_database_update
+
+ ewarn ""
+ ewarn "You may want to remove the following directory."
+ ewarn "~/.config/${PN}/${MY_PV}/cache/"
+ ewarn "It may contain extra render kernels not tracked by portage"
+ ewarn ""
+}
next reply other threads:[~2016-10-27 18:34 UTC|newest]
Thread overview: 205+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-10-27 18:34 David Seifert [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-23 7:40 [gentoo-commits] repo/gentoo:master commit in: media-gfx/blender/ Sam James
2025-04-22 0:41 Sam James
2025-04-17 6:45 Ionen Wolkens
2025-04-10 20:15 Conrad Kostecki
2025-04-06 15:56 Conrad Kostecki
2025-04-06 15:38 Conrad Kostecki
2025-03-30 16:17 Ionen Wolkens
2025-03-14 6:19 Sam James
2025-03-14 6:19 Sam James
2025-03-14 6:19 Sam James
2025-03-11 9:04 Ionen Wolkens
2025-03-07 13:22 Sam James
2025-02-13 8:53 Joonas Niilola
2025-01-06 7:58 Joonas Niilola
2024-12-22 1:30 Sam James
2024-12-22 1:30 Sam James
2024-12-01 8:34 Sam James
2024-12-01 8:34 Sam James
2024-12-01 8:34 Sam James
2024-12-01 8:34 Sam James
2024-11-23 7:52 Joonas Niilola
2024-11-23 7:27 Joonas Niilola
2024-11-22 18:39 Joonas Niilola
2024-09-04 9:32 Sam James
2024-09-04 9:22 Sam James
2024-09-04 9:22 Sam James
2024-09-04 9:22 Sam James
2024-09-04 9:22 Sam James
2024-07-15 11:27 Joonas Niilola
2024-07-05 23:30 Sam James
2024-06-29 16:51 Sam James
2024-06-29 16:51 Sam James
2024-06-02 21:14 Sam James
2024-04-23 21:00 Sam James
2024-04-12 13:08 Joonas Niilola
2024-04-11 16:29 Sam James
2024-04-09 23:01 Sam James
2024-04-07 13:46 Sam James
2024-03-25 18:57 Sam James
2024-03-25 18:57 Sam James
2024-03-25 18:57 Sam James
2024-03-25 18:57 Sam James
2024-03-25 18:57 Sam James
2024-03-25 18:57 Sam James
2024-03-25 18:57 Sam James
2024-03-25 18:57 Sam James
2024-03-25 18:57 Sam James
2024-02-20 13:13 Joonas Niilola
2024-01-21 11:21 Sam James
2023-12-11 13:33 Joonas Niilola
2023-11-22 11:38 Sam James
2023-10-27 13:59 Florian Schmaus
2023-10-27 3:20 Sam James
2023-10-27 2:59 Sam James
2023-10-27 2:34 Sam James
2023-10-03 16:27 Sam James
2023-09-26 20:48 Sam James
2023-09-26 20:48 Sam James
2023-07-16 18:46 Sam James
2023-07-16 18:46 Sam James
2023-07-16 18:46 Sam James
2023-07-16 18:46 Sam James
2023-07-16 18:46 Sam James
2023-06-17 13:18 Andreas Sturmlechner
2023-06-16 22:59 Sam James
2023-06-10 22:56 Andreas Sturmlechner
2023-06-10 20:47 Andreas Sturmlechner
2023-05-14 17:11 Sam James
2023-05-01 15:15 Sam James
2023-05-01 15:15 Sam James
2023-05-01 15:15 Sam James
2023-05-01 1:30 Sam James
2023-04-16 3:30 Sam James
2023-04-16 3:30 Sam James
2023-04-16 3:30 Sam James
2023-04-16 3:30 Sam James
2023-04-16 3:30 Sam James
2023-04-16 3:30 Sam James
2023-02-17 5:29 Sam James
2023-02-17 5:29 Sam James
2023-02-17 5:29 Sam James
2023-02-17 5:29 Sam James
2023-02-17 5:29 Sam James
2023-02-17 5:29 Sam James
2023-02-04 11:33 Joonas Niilola
2023-01-05 5:21 Sam James
2023-01-05 5:21 Sam James
2023-01-05 5:20 Sam James
2023-01-05 5:20 Sam James
2022-12-18 8:32 Sam James
2022-12-18 8:32 Sam James
2022-12-17 19:28 Arthur Zamarin
2022-12-16 4:30 Sam James
2022-09-29 23:53 Sam James
2022-09-29 23:53 Sam James
2022-09-29 23:53 Sam James
2022-09-25 12:29 Ionen Wolkens
2022-08-11 10:55 Sam James
2022-08-11 7:33 Joonas Niilola
2022-08-11 7:33 Joonas Niilola
2022-08-11 7:33 Joonas Niilola
2022-07-09 5:57 Sam James
2022-06-20 3:06 Sam James
2022-06-16 16:30 Sam James
2022-06-16 0:39 Sam James
2022-06-15 12:29 Sam James
2022-06-07 10:27 Joonas Niilola
2022-05-20 11:25 Joonas Niilola
2022-05-20 11:25 Joonas Niilola
2022-05-20 11:25 Joonas Niilola
2022-05-20 11:25 Joonas Niilola
2022-04-17 14:56 Joonas Niilola
2022-04-17 14:56 Joonas Niilola
2022-04-01 0:09 Sam James
2022-03-14 18:51 Sam James
2022-03-14 18:43 Sam James
2022-03-14 18:43 Sam James
2022-02-28 5:21 Sam James
2022-02-26 2:16 Sam James
2022-02-20 21:10 Sam James
2022-02-20 21:10 Sam James
2022-02-20 21:10 Sam James
2022-02-20 4:49 Sam James
2022-02-20 4:45 Sam James
2022-02-18 2:20 Sam James
2022-02-18 2:20 Sam James
2022-02-18 2:20 Sam James
2022-02-15 20:26 Sam James
2022-02-12 15:38 Sam James
2022-02-12 15:01 Sam James
2022-02-12 4:49 Sam James
2022-02-12 4:36 Sam James
2022-02-12 4:35 Sam James
2022-02-12 4:35 Sam James
2022-02-12 4:35 Sam James
2022-02-12 4:35 Sam James
2022-02-07 4:20 Sam James
2021-12-04 0:54 Sam James
2021-12-04 0:54 Sam James
2021-12-03 22:51 Sam James
2021-12-03 22:51 Sam James
2021-10-31 5:53 Sam James
2021-10-31 5:53 Sam James
2021-10-30 17:18 Sam James
2021-10-29 22:23 Sam James
2021-09-19 3:09 Sam James
2021-09-19 3:09 Sam James
2021-08-18 23:34 Sam James
2021-08-18 23:34 Sam James
2021-08-04 2:15 Sam James
2021-08-04 2:15 Sam James
2021-08-04 2:15 Sam James
2021-06-12 7:35 Sam James
2021-06-12 7:19 Sam James
2021-06-10 3:35 Sam James
2021-06-10 3:35 Sam James
2021-06-10 0:51 Sam James
2021-05-31 23:49 Sam James
2021-05-31 20:53 Michał Górny
2021-05-06 21:36 Sam James
2021-03-05 18:39 Sam James
2021-02-22 9:51 Joonas Niilola
2021-02-22 9:51 Joonas Niilola
2021-02-22 9:51 Joonas Niilola
2021-02-22 9:51 Joonas Niilola
2021-02-22 7:12 Sam James
2020-12-17 15:32 Joonas Niilola
2020-12-03 13:04 Joonas Niilola
2020-12-03 7:32 Joonas Niilola
2020-12-03 7:32 Joonas Niilola
2020-12-03 7:32 Joonas Niilola
2020-12-03 7:32 Joonas Niilola
2020-12-03 7:32 Joonas Niilola
2020-11-08 10:29 Sam James
2020-10-10 7:37 Sam James
2020-10-06 2:13 Sam James
2020-08-24 13:42 Sam James
2020-08-24 13:42 Sam James
2020-04-26 10:04 Mikle Kolyada
2020-03-01 18:36 Matthias Maier
2020-02-09 16:47 Michał Górny
2019-09-13 15:43 Michał Górny
2019-06-10 19:51 Andreas Sturmlechner
2019-02-28 14:56 Mikle Kolyada
2019-02-27 4:25 Aaron Bauman
2018-08-28 14:43 Jonathan Scruggs
2018-08-28 14:43 Jonathan Scruggs
2018-08-15 17:21 Jonathan Scruggs
2018-04-20 19:43 David Seifert
2018-03-30 16:04 Aaron Bauman
2018-03-24 12:01 Michał Górny
2018-01-27 17:19 Jonathan Scruggs
2017-12-25 16:09 David Seifert
2017-01-29 17:04 Michael Palimaka
2017-01-28 15:45 Lars Wendler
2017-01-28 13:47 David Seifert
2017-01-15 13:34 David Seifert
2017-01-10 15:22 Agostino Sarubbo
2016-12-20 14:30 Tobias Klausmann
2016-10-28 5:29 Patrick Lauer
2016-10-07 16:38 Patrice Clement
2016-06-16 20:10 Amy Winston
2016-05-28 8:30 Pacho Ramos
2015-08-14 23:18 Julian Ospald
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1477593260.d4f53d5c48abbc743e211b7764d94db53e7e242d.soap@gentoo \
--to=soap@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox